%global momorel 3
%global geckover 1.9.1

Summary: 3D modeling, animation, rendering and post-production.
Name: blender
Version: 2.48a
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.blender.org/
Group: Applications/Multimedia
Source0: http://download.blender.org/source/%{name}-%{version}.tar.gz 
NoSource: 0
Source1: blender.png
Patch0: blender-sanitize-sys.path-48a.patch
Patch1: blender-2.48a-python26.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: OpenEXR-devel >= 1.6.1
BuildPreReq: SDL-devel >= 1.2.7-11m
BuildPreReq: automake17
BuildPreReq: gecko-devel >= %{geckover}
BuildPreReq: freeglut-devel
BuildPreReq: freetype-devel
BuildPreReq: ftgl
BuildPreReq: gettext-devel >= 0.17
BuildPreReq: libjpeg-devel
BuildPreReq: libpng-devel
BuildPreReq: python-devel >= 2.5-1m
BuildPreReq: scons >= 0.96.93
BuildPreReq: zlib-devel
Requires: VLGothic-fonts

%description
Blender is an open source software for 3D modeling, animation, rendering,
post-production, interactive creation and playback.

%prep
%setup -q
%patch0 -p1 -b .sanitize~
%patch1 -p1 -b .python26
%build

export NAN_PYTHON_VERSION=2.6
export NAN_MOZILLA_INC=/usr/include/xulrunner-sdk-%{geckover}
export NAN_NO_OPENAL=true
scons WITH_BF_OPENAL='false' %{?_smp_mflags}

# for ftfont build
ln -s %{_includedir}/freetype2/freetype source/blender/ftfont/
ln -s %{_includedir}/ft2build.h source/blender/ftfont/

# %{__make}

%install
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}

# %%makeinstall transform='s,x,x,'

pushd ../install/linux2/

rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
install blender %{buildroot}/usr/bin

cp -p *.txt ../../%{name}-%{version}/

rm -rf %{buildroot}/usr/share/blender/locale
mkdir -p %{buildroot}/usr/share/
cp -a .blender/locale %{buildroot}/usr/share/

## install Blanguages file
#cp -f ./bin/.blender/.Blanguages %{buildroot}%{_datadir}/%{name}/Blanguages
## make symlink of default fonts

mkdir -p %{buildroot}%{_datadir}/%{name}/fonts
ln -s /usr/share/fonts/VLGothic/VL-Gothic-Regular.ttf %{buildroot}%{_datadir}/%{name}/fonts/bfont.ttf

# install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

# install desktop file
cat >blender.desktop<<EOF
[Desktop Entry]
Name=blender
Terminal=false
Type=Application
Description=3D Modeler
Exec=blender -w
Icon=blender.png
Categories=Graphics;
EOF

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 blender.desktop %{buildroot}%{_datadir}/applications

popd 

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc GPL-license.txt Python-license.txt copyright.txt release_*.txt
%{_bindir}/*
# %%{_datadir}/%{name}/Blanguages
%{_datadir}/%{name}/fonts
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*

%changelog
* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.48a-3m)
- rebuild against xulrunner-1.9.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.48a-2m)
- rebuild against rpm-4.6

* Fri Jan  2 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.48a-1m)
- update 2.48a
- add patches
  Patch0: blender-sanitize-sys.path-48a.patch
  Patch1: blender-2.48a-python26.patch

* Fri Nov  7 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.47-2m)
- [SECURITY] CVE-2008-4863
- import a security patch from Debian unstable (2.46+dfsg-6)

* Mon Sep 15 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.47-1m)
- update 2.47

* Tue Sep 02 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.46-2m)
- use VLGothic-fonts

* Thu May 22 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.46-1m)
- [SECURITY] CVE-2008-1102
- update 2.46

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.45-8m)
- rebuild against firefox-3

* Mon Apr 21 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.45-7m)
- support scons-0.98.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.45-6m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.45-5m)
- rebuild against OpenEXR-1.6.1

* Wed Feb 13 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.45-4m)
- import gcc43 patch from Fedora devel

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.45-3m)
- %%NoSource -> NoSource

* Sun Nov 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.45-2m)
- rebuild against gettext-0.17

* Tue Oct 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.45-1m)
- update 2.45

* Tue May 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.44-1m)
- update 2.44

* Sun Apr 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.42a-4m)
- rebuild against gettext-0.16.1

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.42a-3m)
- BuildPreReq: freetype2-devel -> freetype-devel

* Mon Feb 12 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.42a-2m)
- require higher version of scons

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.42a-1m)
- update 2.42a

* Tue Nov 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.42-5m)
- rebuild against OpenEXR-1.4.0

* Mon Nov 13 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.42-5m)
- copy from momonga's trunk (r12695)
- use firefox-devel instead of mozilla-devel

* Sun Oct 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.42-4m)
- rebuild against freeglut

* Thu Sep 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.42-3m)
- rebuild against gettext-0.15

* Sun Jul 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.42-2m)
- WITH_BF_OPENAL='false'

* Sun Jul 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.42-1m)
- update 2.42

* Mon Dec 26 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.40-1m)
- update 2.40
- BuildPrereq: scons >= scons-0.96.91
- BuildPrereq: mozilla-devel

* Mon Nov  7 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.32-11m)
- add gcc4 patch.
- Patch8: blender-2.32-gcc4.patch

* Sat Nov  5 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.32-10m)
- rebuild against python-2.4.2-3m

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.32-9m)
- rebuild against SDL-1.2.7-11m

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.32-8m)
- rebuild against SDL

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.32-7m)
- enable x86_64.

* Sat Dec 25 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.32-6m)
- add FTGL patch

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.32-5m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++
- add gcc34 patch

* Mon Aug 30 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.32-4m)
- remove unnecessary desktop file

* Mon Aug 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.32-3m)
- rebuild against DirectFB-0.9.21

* Thu Jul  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.32-2m)
- use sazanami instead of kochi

* Mon Feb 16 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.32-1m)
- update to 2.32
- revise Patch1

* Wed Jan 14 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.31a-3m)
- use %%find_lang macro
- use %%NoSource macro
- use autoconf-1.7
    See doc/autoconfig.txt
- and remove blender-2.31a-intern_ghost_automake.patch

* Wed Jan 14 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.31a-2m)
- enable international menu (needs ftgl libraries)
- - add Patch1,2 to build blender with source/blender/src/ftfont module 
    and use automake, autoconf
- - new Patch0 (patching Makefile.am)
- - add Patch3 to change default font and .Blanguage file path
- - - set default font path to /usr/share/blender/fonts
- - - set default font to /usr/share/blender/fonts/bfonts.ttf and 
      make it symlink to /usr/share/fonts/truetype/japanese/kochi-gothic.ttf)
- - - change name of .Blanguage file to /usr/share/blender/Blanguage
- - use latest ja.po at http://uniside.s37.xrea.com/ 
- - - (add Patch4 to remove duplicated entries)
- add some BuildRequires
- add desktop file

* Fri Jan 9 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.31a-1m)
- initial momonga rpm


